﻿using System;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.Reflection;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.Windows.Forms;
using Vertrag;

namespace Server
{
    class Program
    {
        static void Main(string[] args)
        { 
                using (ServiceHost sh = new ServiceHost(typeof(Cservice)))
                {
                    string Host = System.Net.Dns.GetHostName();              
                    var IPAddress = Dns.GetHostEntry(Host).AddressList.First(adr => adr.AddressFamily != AddressFamily.InterNetworkV6); //gibt ipv4 zurück
                             
                    FileInfo fi = new FileInfo(Application.ExecutablePath); // Pfad von .txt-Datei im Debug-Verzeichnis vom Server
                    string path;
                    path= fi.DirectoryName + "\\Portnummer.txt";
                    string portnummer; 
                    portnummer = File.ReadAllText(path);    // liest Portnummer aus .txt heraus
                    Console.WriteLine("Der Service läuft auf dem Port: " + portnummer);
                    Console.WriteLine("");                              
                    sh.AddServiceEndpoint(typeof(Ivertrag), new NetTcpBinding(SecurityMode.None), "net.tcp://" + IPAddress + ":" + portnummer + "/IvertragAsynchron");
                    sh.Open();
                    Console.WriteLine("Server läuft auf: " + "net.tcp://" + IPAddress + ":" + portnummer + "/IvertragAsynchron");
                    Console.WriteLine("");
                    Console.WriteLine("Zum Beenden bitte Taste drücken!");
                    Console.Read();              
                }
        }
    }
}